Get Order Cancellations
Retrieves all cancellation records associated with an order. Returns an OrderCancellation object containing the overall cancellation status and individual bag cancellation records, including any associated refunds and error details. Returns HTTP 204 No Content if no cancellations exist for the order.
Path parameters
order_idinteger · int64RequiredExample:
ID of the order to retrieve cancellation records for
11111Header parameters
X-Violet-TokenstringRequired
API token for authentication
X-Violet-App-SecretstringRequired
Application secret key
X-Violet-App-Idinteger · int32RequiredExample:
Application ID
10000Responses
200
success
application/json
Cancellation record for an order.
order_idinteger · int64Read-onlyOptional
The ID of the order this cancellation relates to.
app_idinteger · int32Read-onlyOptional
The ID of the app that originated this order.
statusstring · enumRead-onlyOptionalPossible values:
Status of the overall cancellation.
messagestringRead-onlyOptional
Description of the outcome of the order cancellation request.
204
no content
application/json
404
not found
application/json
500
internal server error
application/json
get
/orders/{order_id}/cancellationsLast updated
Was this helpful?